Package io.vertx.rxjava.servicediscovery.spi

## Class ServiceExporter

- java.lang.Object
- - io.vertx.rxjava.servicediscovery.spi.ServiceExporter

-     public class ServiceExporter
      extends Object

  The service exporter allows integrate other discovery technologies with the Vert.x service discovery. It maps entries from another technology to a and maps to a publication in this other technology. The exporter is one side of a service discovery bridge.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<ServiceExporter>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceExporter​(ServiceExporter delegate)` |
    `ServiceExporter​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close​(Handler<Void> closeHandler)` | Close the exporter
    `boolean` | `equals​(Object o)` |
    `ServiceExporter` | `getDelegate()` |
    `int` | `hashCode()` |
    `void` | `init​(Vertx vertx, ServicePublisher publisher, JsonObject configuration, Promise<Void> future)` | Starts the exporter.
    `static ServiceExporter` | `newInstance​(ServiceExporter arg)` |
    `void` | `onPublish​(Record record)` | Notify a new record has been published, the record's registration can be used to uniquely identify the record
    `void` | `onUnpublish​(String id)` | Notify an existing record has been removed
    `void` | `onUpdate​(Record record)` | Notify an existing record has been updated, the record's registration can be used to uniquely identify the record
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ServiceExporter> __TYPE_ARG

  - ### Constructor Detail

    - #### ServiceExporter

          public ServiceExporter​(ServiceExporter delegate)

    - #### ServiceExporter

          public ServiceExporter​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ServiceExporter getDelegate()

    - #### init

          public void init​(Vertx vertx,
                           ServicePublisher publisher,
                           JsonObject configuration,
                           Promise<Void> future)

      Starts the exporter.
      Parameters:
        `vertx` - the vertx instance
        `publisher` - the service discovery instance
        `configuration` - the bridge configuration if any
        `future` - a future on which the bridge must report the completion of the starting

    - #### onPublish

          public void onPublish​(Record record)

      Notify a new record has been published, the record's registration can be used to uniquely identify the record
      Parameters:
        `record` - the record

    - #### onUpdate

          public void onUpdate​(Record record)

      Notify an existing record has been updated, the record's registration can be used to uniquely identify the record
      Parameters:
        `record` - the record

    - #### onUnpublish

          public void onUnpublish​(String id)

      Notify an existing record has been removed
      Parameters:
        `id` - the record registration id

    - #### close

          public void close​(Handler<Void> closeHandler)

      Close the exporter
      Parameters:
        `closeHandler` - the handle to be notified when exporter is closed, may be `null`

    - #### newInstance

          public static ServiceExporter newInstance​(ServiceExporter arg)